## mplayer 1.5+svn38423

=== debian/changelog ===
mplayer (2:1.5+svn38423-2build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:57:07 +0200

=== debian/control ===
Source: mplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 A Mennucc1 <mennucc1@debian.org>,
 Miguel A. Colón Vélez <debian.micove@gmail.com>,
 Reinhard Tartler <siretart@tauware.de>,
 Lorenzo Puliti <plorenzo@disroot.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/mplayer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mplayer
Homepage: https://mplayerhq.hu
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk,
 liba52-dev,
 libaa1-dev,
 libasound2-dev [linux-any],
 libass-dev,
 libaudio-dev,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libavutil-dev:native,
 libbluray-dev,
 libbs2b-dev,
 libcaca-dev,
 libcdio-cdda-dev,
 libcdio-paranoia-dev,
 libdca-dev,
 libdv-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libenca-dev,
 libfaad-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libfribidi-dev,
 libgif-dev,
 libgl-dev,
 libglvnd-dev,
 libgsm1-dev,
 libgtk2.0-dev,
 libjack-dev,
 libjpeg-dev,
 liblirc-dev,
 liblzo2-dev,
 libmad0-dev,
 libmng-dev,
 libmp3lame-dev,
 libmpeg2-4-dev,
 libmpg123-dev,
 libopenal-dev,
 libpostproc-dev,
 libpulse-dev,
 librtmp-dev,
 libsdl1.2-dev,
 libsmbclient-dev [!hurd-any],
 libspeex-dev,
 libswscale-dev,
 libtheora-dev,
 libtwolame-dev,
 libvdpau-dev,
 libvorbisidec-dev,
 libx11-dev,
 libx264-dev,
 libxext-dev,
 libxinerama-dev,
 libxss-dev,
 libxt-dev,
 libxv-dev,
 libxvidcore-dev,
 libxvmc-dev,
 libxxf86dga-dev,
 libxxf86vm-dev,
 pkg-config,
 x11proto-core-dev,
 yasm,
 zlib1g-dev
Build-Depends-Indep:
 docbook-xml,
 docbook-xsl,
 xsltproc
Rules-Requires-Root: no

Package: mplayer-gui
Architecture: any
Multi-Arch: foreign
Suggests:
 bzip2,
 fontconfig,
 fonts-freefont-ttf,
 mplayer-doc
Depends:
 mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: mplayer-skin
Description: movie player for Unix-like systems (GUI variant)
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 Another big feature of MPlayer is the wide range of supported output
 drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
 but also SDL.
 .
 This package includes the GUI variant of MPlayer.

Package: mencoder
Architecture: any
Multi-Arch: foreign
Suggests:
 bzip2,
 fontconfig,
 fonts-freefont-ttf,
 mplayer-doc
Depends:
 mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPlayer's Movie Encoder
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 This package contains mencoder, a simple movie encoder, designed to
 encode MPlayer-playable movies
 (AVI/ASF/OGG/DVD/VCD/VOB/MPG/MOV/VIV/FLI/RM/NUV/NET) to other
 MPlayer-playable formats. It can encode with various codecs, like DivX4
 (1 or 2 passes), libavcodec, PCM/MP3/VBRMP3 audio. Also has stream
 copying and video resizing capabilities.

Package: mplayer
Architecture: any
Multi-Arch: foreign
Suggests:
 bzip2,
 fontconfig,
 fonts-freefont-ttf,
 mplayer-doc,
 netselect | fping
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: movie player for Unix-like systems
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 Another big feature of MPlayer is the wide range of supported output
 drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
 but also SDL.
 .
 Not all of the upstream code is distributed in the source tarball.
 See the README.Debian and copyright files for details.

Package: mplayer-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Recommends:
 mplayer
Depends:
 ${misc:Depends}
Description: documentation for MPlayer
 This package contains the HTML documentation for MPlayer, a movie player for
 Unix-like systems. It is available in several languages.
 .
 You only need this package if you want to read the MPlayer manual. The manpages
 are included in the regular MPlayer package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# do not run the actual rules of this makefile in parallel. sub-makes
# can go in parallel
.NOTPARALLEL:

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

D_VERSION = $(shell dpkg-parsechangelog -SVersion | sed -e 's/^[0-9]*://')
OUR_VERSION = \#define VERSION \"$(D_VERSION) (Debian)\"
OUR_TITLE = \#define MP_TITLE \"MPlayer $(D_VERSION) (Debian)\\\n\"

CFLAGS +=$(CPPFLAGS)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_FLAGS = \
	--prefix=/usr \
	--confdir=/etc/mplayer \
	--enable-debug \
	--enable-xvmc \
	--enable-menu \
	--disable-arts \
	--language=all \
	--disable-libmpeg2-internal \
	--disable-ffmpeg_a \
	--disable-esd \
	--extra-cflags="${CFLAGS}" \
	--extra-ldflags="${LDFLAGS}" \
	$(archconf)

CONFIGURE_DOC_FLAGS = \
	--disable-ffmpeg_a \
	--disable-mencoder \
	--disable-mplayer \
	--yasm='' \
	--language=all

# Runtime detections is available for i386, amd64 and ppc.
ifneq (,$(filter $(DEB_HOST_ARCH),i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 powerpc))
  CONFIGURE_FLAGS += --enable-runtime-cpudetection
endif

ifeq ($(DEB_HOST_ARCH),i386)
#configure optimizes for the cpu detected at ./configure time
#in order to build a generic binary, avoid non-standard opcodes through gcc
  archconf += --target=i586-linux
endif

# when run on a sparc64 kernel, configure will normally select v9 asm.
# this is hidden when running on buildds with 32bit kernel personality.
# because of #644856, this will currently lead to a FTBFS
# therefore, we force a 'generic' target.
ifeq ($(DEB_HOST_ARCH),sparc)
  archconf += --target=generic
endif

ifeq ($(DEB_HOST_ARCH),alpha)
#Avoid high optimization through gcc.
# see http://permalink.gmane.org/gmane.linux.debian.ports.alpha/7295
  archconf += --target=alpha_ev5-linux
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
    CONFIGURE_FLAGS += --enable-joystick --enable-radio --enable-radio-capture
    sound_backend := alsa
else
    sound_backend := oss
endif

# It seems x32 has some alsa issues. Add oss as fallback.
# see http://lists.alioth.debian.org/pipermail/pkg-multimedia-maintainers/2015-July/046049.html
# The default for all could be "ao=pulse,alsa,oss,sdl:aalib" to avoid this.
ifeq ($(DEB_HOST_ARCH),x32)
    sound_backend := alsa,oss
endif

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
ifeq ($(archconf),)
	archconf += --target=$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS)
endif
	archconf += \
		--enable-cross-compile \
		--cc=$(CC) \
		--host-cc=$(CC_FOR_BUILD)
	export PATH:=$(CURDIR)/debian/devbin:$(PATH)
endif

%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_build -- mplayer
	mv mplayer gmplayer
	$(MAKE) install-gui-msg DESTDIR=$(CURDIR)/gui-msg
	$(MAKE) distclean
	./configure $(CONFIGURE_FLAGS) --disable-gui
	echo "$(OUR_VERSION)"  >> version.h
	echo "$(OUR_TITLE)"  >> version.h
	dh_auto_build -- mplayer mencoder

override_dh_auto_build-indep:
	[ -f DOCS/HTML/en/index.html ] || dh_auto_build -- html-chunked

override_dh_auto_clean:
	rm -rf gui-msg
	[ -f config.mak ] && $(MAKE) distclean || true

override_dh_auto_configure-arch:
	./configure $(CONFIGURE_FLAGS) --enable-gui --enable-nls
	echo "$(OUR_VERSION)"  >> version.h
	echo "$(OUR_TITLE)"  >> version.h

override_dh_auto_configure-indep:
	[ -f config.mak ] || ./configure $(CONFIGURE_DOC_FLAGS)

override_dh_auto_install-arch:
	$(MAKE) install-mplayer DESTDIR=$(CURDIR)/debian/mplayer
	$(MAKE) install-mencoder DESTDIR=$(CURDIR)/debian/mencoder
	$(MAKE) install-mplayer-man DESTDIR=$(CURDIR)/debian/mplayer
	$(MAKE) install-mencoder-man DESTDIR=$(CURDIR)/debian/mencoder
	$(MAKE) install-gui-man DESTDIR=$(CURDIR)/debian/mplayer-gui
	$(MAKE) install-gui-icons DESTDIR=$(CURDIR)/debian/mplayer-gui
	find debian/mencoder -type d -empty -delete
	find debian/mplayer -type d -empty -delete
	find debian/mplayer-gui -type d -empty -delete

override_dh_auto_install-indep:
override_dh_auto_test-indep:

override_dh_compress-arch:
	dh_compress
	find debian/mencoder/usr/share/man/ -type f -name mplayer.1.gz -delete
	find debian/mplayer-gui/usr/share/man/ -type f -name mplayer.1.gz -delete

override_dh_install-arch:
	dh_install
	sed -e "s/@SOUND_BACKEND@/$(sound_backend)/" -i \
	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf

## mplayer 1.5+svn38446

=== Makefile ===
# MPlayer Makefile
#
# copyright (c) 2008 Diego Biurrun
# Rewritten entirely from a set of Makefiles written by Arpi and many others.
#
# This file is part of MPlayer.
#
# MPlayer is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MPlayer is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with MPlayer; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

include config.mak

###### variable declarations #######

# local fallbacks for missing operating system features
# the fallback for gettimeofday should actually no longet be needed
#OS_FEATURE-$(GETTIMEOFDAY)           += osdep/gettimeofday.c
OS_FEATURE-$(GLOB_WIN)               += osdep/glob-win.c
OS_FEATURE-$(MMAP)                   += osdep/mmap-os2.c
OS_FEATURE-$(SETENV)                 += osdep/setenv.c
OS_FEATURE-$(SHMEM)                  += osdep/shmem.c
OS_FEATURE-$(STRSEP)                 += osdep/strsep.c
OS_FEATURE-$(VSSCANF)                += osdep/vsscanf.c

# conditional source declarations
SRCS_AUDIO_INPUT-$(ALSA)             += stream/ai_alsa.c
SRCS_AUDIO_INPUT-$(OSS)              += stream/ai_oss.c
SRCS_COMMON-$(AUDIO_INPUT)           += $(SRCS_AUDIO_INPUT-yes)
SRCS_COMMON-$(BITMAP_FONT)           += sub/font_load.c
SRCS_COMMON-$(CDDA)                  += stream/stream_cdda.c            \
                                        stream/cdinfo.c
SRCS_COMMON-$(CDDB)                  += stream/stream_cddb.c
SRCS_COMMON-$(DVBIN)                 += stream/dvb_tune.c               \
                                        stream/stream_dvb.c
SRCS_COMMON-$(DVDNAV)                += stream/stream_dvdnav.c

SRCS_COMMON-$(DVDREAD)               += stream/stream_dvd.c             \
                                        stream/stream_dvd_common.c

SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
SRCS_COMMON-$(FFMPEG)                += av_helpers.c                    \
                                        av_opts.c                       \
                                        libaf/af_lavcac3enc.c           \
                                        libaf/af_lavcresample.c         \
                                        libmpcodecs/ad_ffmpeg.c         \
                                        libmpcodecs/ad_spdif.c          \
                                        libmpcodecs/vd_ffmpeg.c         \
                                        libmpcodecs/vf_geq.c            \
                                        libmpcodecs/vf_lavc.c           \
                                        libmpcodecs/vf_lavcdeint.c      \
                                        libmpcodecs/vf_screenshot.c     \
                                        libmpdemux/demux_lavf.c         \
                                        stream/stream_ffmpeg.c          \
                                        sub/av_sub.c                    \

SRCS_COMMON-$(CONFIG_VF_LAVFI)      +=  libmpcodecs/vf_lavfi.c

# These filters use private headers and do not work with shared FFmpeg.
SRCS_COMMON-$(FFMPEG_A)              += libmpcodecs/vf_fspp.c           \
                                        libmpcodecs/vf_qp.c             \
                                        libmpcodecs/vf_spp.c            \

# needs update for missing coded_frame
#libmpcodecs/vf_uspp.c           \

SRCS_COMMON-$(FREETYPE)              += sub/font_load_ft.c
SRCS_COMMON-$(FTP)                   += stream/stream_ftp.c
SRCS_COMMON-$(GIF)                   += libmpdemux/demux_gif.c
SRCS_COMMON-$(HAVE_POSIX_SELECT)     += libmpcodecs/vf_bmovl.c
SRCS_COMMON-$(HAVE_SYS_MMAN_H)       += libaf/af_export.c osdep/mmap_anon.c
SRCS_COMMON-$(JPEG)                  += libmpcodecs/vd_ijpg.c
SRCS_COMMON-$(LADSPA)                += libaf/af_ladspa.c
SRCS_COMMON-$(LIBA52)                += libmpcodecs/ad_liba52.c
SRCS_COMMON-$(LIBASS)                += libmpcodecs/vf_ass.c            \
                                        sub/ass_mp.c                    \
                                        sub/subassconvert.c             \

SRCS_COMMON-$(LIBASS_INTERNAL)       += libass/ass.c                    \
                                        libass/ass_bitmap.c             \
                                        libass/ass_cache.c              \
                                        libass/ass_drawing.c            \
                                        libass/ass_font.c               \
                                        libass/ass_fontconfig.c         \
                                        libass/ass_library.c            \
                                        libass/ass_parse.c              \
                                        libass/ass_render.c             \
                                        libass/ass_render_api.c         \
                                        libass/ass_shaper.c             \
                                        libass/ass_strtod.c             \
                                        libass/ass_utils.c              \

SRCS_COMMON-$(LIBBLURAY)             += stream/stream_bluray.c
SRCS_COMMON-$(LIBBS2B)               += libaf/af_bs2b.c
SRCS_COMMON-$(LIBDCA)                += libmpcodecs/ad_libdca.c
SRCS_COMMON-$(LIBDV)                 += libmpcodecs/ad_libdv.c          \
                                        libmpcodecs/vd_libdv.c          \
                                        libmpdemux/demux_rawdv.c

SRCS_COMMON-$(LIBMAD)                += libmpcodecs/ad_libmad.c

SRCS_COMMON-$(LIBMPEG2)              += libmpcodecs/vd_libmpeg2.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ALPHA) += libmpeg2/idct_alpha.c           \
                                        libmpeg2/motion_comp_alpha.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ARM)   += libmpeg2/motion_comp_arm.c      \
                                        libmpeg2/motion_comp_arm_s.S
SRCS_LIBMPEG2-INTERNAL-$(HAVE_ALTIVEC) += libmpeg2/idct_altivec.c       \
                                        libmpeg2/motion_comp_altivec.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_MMX)   += libmpeg2/idct_mmx.c             \
                                        libmpeg2/motion_comp_mmx.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_VIS)   += libmpeg2/motion_comp_vis.c
SRCS_COMMON-$(LIBMPEG2_INTERNAL)     += libmpeg2/alloc.c                \
                                        libmpeg2/cpu_accel.c            \
                                        libmpeg2/cpu_state.c            \
                                        libmpeg2/decode.c               \
                                        libmpeg2/header.c               \
                                        libmpeg2/idct.c                 \
                                        libmpeg2/motion_comp.c          \
                                        libmpeg2/slice.c                \
                                        $(SRCS_LIBMPEG2-INTERNAL-yes)

SRCS_COMMON-$(LIBNEMESI)             += libmpdemux/demux_nemesi.c       \
                                        stream/stream_nemesi.c
SRCS_COMMON-$(LIBNUT)                += libmpdemux/demux_nut.c
SRCS_COMMON-$(LIBSMBCLIENT)          += stream/stream_smb.c
SRCS_COMMON-$(LIBTHEORA)             += libmpcodecs/vd_theora.c
SRCS_COMMON-$(LIVE555)               += libmpdemux/demux_rtp.cpp        \
                                        libmpdemux/demux_rtp_codec.cpp  \
                                        stream/stream_live555.c
SRCS_COMMON-$(MACOSX_FINDER)         += osdep/macosx_finder_args.c
SRCS_COMMON-$(MNG)                   += libmpdemux/demux_mng.c
SRCS_COMMON-$(MPG123)                += libmpcodecs/ad_mpg123.c

SRCS_COMMON-$(MUSEPACK)              += libmpcodecs/ad_mpc.c            \
                                        libmpdemux/demux_mpc.c
SRCS_COMMON-$(NATIVE_RTSP)           += stream/stream_rtsp.c            \
                                        stream/freesdp/common.c         \
                                        stream/freesdp/errorlist.c      \
                                        stream/freesdp/parser.c         \
                                        stream/librtsp/rtsp.c           \
                                        stream/librtsp/rtsp_rtp.c       \
                                        stream/librtsp/rtsp_session.c   \

SRCS_COMMON-$(NETWORKING)            += stream/stream_netstream.c       \
                                        stream/asf_mmst_streaming.c     \
                                        stream/asf_streaming.c          \
                                        stream/cookies.c                \
                                        stream/http.c                   \
                                        stream/network.c                \
                                        stream/pnm.c                    \
                                        stream/rtp.c                    \
                                        stream/udp.c                    \
                                        stream/tcp.c                    \
                                        stream/stream_rtp.c             \
                                        stream/stream_udp.c             \
                                        stream/librtsp/rtsp.c           \
                                        stream/realrtsp/asmrp.c         \
                                        stream/realrtsp/real.c          \
                                        stream/realrtsp/rmff.c          \
                                        stream/realrtsp/sdpplin.c       \
                                        stream/realrtsp/xbuffer.c       \

SRCS_COMMON-$(PNG)                   += libmpcodecs/vd_mpng.c
SRCS_COMMON-$(POSTPROC)              += libmpcodecs/vf_pp.c
SRCS_COMMON-$(PRIORITY)              += osdep/priority.c
SRCS_COMMON-$(PVR)                   += stream/stream_pvr.c
SRCS_COMMON-$(QTX_CODECS)            += libmpcodecs/ad_qtaudio.c        \
                                        libmpcodecs/vd_qtvideo.c
SRCS_COMMON-$(RADIO)                 += stream/stream_radio.c
SRCS_COMMON-$(RADIO_CAPTURE)         += stream/audio_in.c
SRCS_COMMON-$(REAL_CODECS)           += libmpcodecs/ad_realaud.c        \
                                        libmpcodecs/vd_realvid.c
SRCS_COMMON-$(SPEEX)                 += libmpcodecs/ad_speex.c
SRCS_COMMON-$(STREAM_CACHE)          += stream/cache2.c
SRCS_COMMON-$(TV)                    += stream/frequencies.c            \
                                        stream/stream_tv.c              \
                                        stream/tv.c                     \
                                        stream/tvi_dummy.c
SRCS_COMMON-$(TV_BSDBT848)           += stream/tvi_bsdbt848.c
SRCS_COMMON-$(TV_DSHOW)              += stream/tvi_dshow.c              \
                                        loader/dshow/guids.c            \
                                        loader/dshow/mediatype.c        \

SRCS_COMMON-$(TV_V4L1)               += stream/tvi_v4l.c                \
                                        stream/audio_in.c
SRCS_COMMON-$(TV_V4L2)               += stream/tvi_v4l2.c               \
                                        stream/audio_in.c
SRCS_COMMON-$(UNRAR_EXEC)            += sub/unrar_exec.c
SRCS_COMMON-$(VCD)                   += stream/stream_vcd.c
SRCS_COMMON-$(VORBIS)                += libmpcodecs/ad_libvorbis.c      \
                                        libmpdemux/demux_ogg.c
SRCS_COMMON-$(VSTREAM)               += stream/stream_vstream.c

=== debian/changelog ===
mplayer (2:1.5+svn38446-1build5) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:20:52 +0200

mplayer (2:1.5+svn38446-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:19:07 +0000

mplayer (2:1.5+svn38446-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:15:07 +0000

mplayer (2:1.5+svn38446-1build2) noble; urgency=medium

  * No-change rebuild against libdv4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 22:04:45 +0000

mplayer (2:1.5+svn38446-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:23:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
@@ -76,7 +77,7 @@
  libxxf86vm-dev,
  pkg-config,
  x11proto-core-dev,
- yasm,
+ nasm,
  zlib1g-dev
 Build-Depends-Indep:
  docbook-xml,

=== debian/watch ===
version=4
opts="mode=svn,dversionmangle=auto,repacksuffix=+ds1,uversionmangle=s/0\.0~/1.5\+$1/" \
  svn://svn.mplayerhq.hu/mplayer/trunk HEAD

## mplayer 1.5+svn38542

=== debian/changelog ===
mplayer (2:1.5+svn38542-1ubuntu1) oracular; urgency=medium

  * Lower new gcc-14 errors to warnings as a workaround until
    https://trac.mplayerhq.hu/ticket/2424 is done (LP: #2080493)

 -- Paul Mars <paul.mars@canonical.com>  Thu, 12 Sep 2024 10:19:34 +0200

mplayer (2:1.5+svn38542-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:18:39 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 Homepage: https://mplayerhq.hu
 Build-Depends:
  debhelper-compat (= 13),
+ dh-exec,
  ladspa-sdk,
  liba52-dev,
  libaa1-dev,
@@ -75,7 +76,7 @@
  libxvmc-dev,
  libxxf86dga-dev,
  libxxf86vm-dev,
- pkg-config,
+ pkgconf,
  x11proto-core-dev,
  nasm,
  zlib1g-dev

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 D_VERSION = $(shell dpkg-parsechangelog -SVersion | sed -e 's/^[0-9]*://')
 OUR_VERSION = \#define VERSION \"$(D_VERSION) (Debian)\"
-OUR_TITLE = \#define MP_TITLE \"MPlayer $(D_VERSION) (Debian)\\\n\"
+OUR_TITLE = \#define MP_TITLE \"MPlayer $(D_VERSION) (Debian)\"
 
 CFLAGS +=$(CPPFLAGS)
 
@@ -22,7 +22,6 @@
 	--prefix=/usr \
 	--confdir=/etc/mplayer \
 	--enable-debug \
-	--enable-xvmc \
 	--enable-menu \
 	--disable-arts \
 	--language=all \
@@ -90,6 +89,9 @@
 	export PATH:=$(CURDIR)/debian/devbin:$(PATH)
 endif
 
+# workaround build failure with gcc-14
+export DEB_CFLAGS_MAINT_APPEND = -Wno-incompatible-pointer-types -Wno-int-conversion 
+
 %:
 	dh $@
 
@@ -97,10 +99,16 @@
 	dh_auto_build -- mplayer
 	mv mplayer gmplayer
 	$(MAKE) install-gui-msg DESTDIR=$(CURDIR)/gui-msg
+ifeq "$(DEB_HOST_ARCH)" "powerpc"
+	$(MAKE) distclean
+	./configure $(CONFIGURE_FLAGS) --disable-gui --disable-altivec
+	printf '%s\n%s\n' "$(OUR_VERSION)" "$(OUR_TITLE)" >> version.h
+	dh_auto_build -- mplayer
+	mv mplayer mplayer-noaltivec
+endif
 	$(MAKE) distclean
 	./configure $(CONFIGURE_FLAGS) --disable-gui
-	echo "$(OUR_VERSION)"  >> version.h
-	echo "$(OUR_TITLE)"  >> version.h
+	printf '%s\n%s\n' "$(OUR_VERSION)" "$(OUR_TITLE)" >> version.h
 	dh_auto_build -- mplayer mencoder
 
 override_dh_auto_build-indep:
@@ -108,12 +116,12 @@
 
 override_dh_auto_clean:
 	rm -rf gui-msg
+	rm -rf mplayer-noaltivec
 	[ -f config.mak ] && $(MAKE) distclean || true
 
 override_dh_auto_configure-arch:
 	./configure $(CONFIGURE_FLAGS) --enable-gui --enable-nls
-	echo "$(OUR_VERSION)"  >> version.h
-	echo "$(OUR_TITLE)"  >> version.h
+	printf '%s\n%s\n' "$(OUR_VERSION)" "$(OUR_TITLE)" >> version.h
 
 override_dh_auto_configure-indep:
 	[ -f config.mak ] || ./configure $(CONFIGURE_DOC_FLAGS)

## mplayer 1.5+svn38674

=== debian/changelog ===
mplayer (2:1.5+svn38674-3build3) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 17:19:33 -0500

mplayer (2:1.5+svn38674-3build2) resolute; urgency=medium

  * Rebuild against latest libbluray

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Oct 2025 22:33:52 -0400

=== debian/rules ===
--- 
+++ 
@@ -89,9 +89,6 @@
 	export PATH:=$(CURDIR)/debian/devbin:$(PATH)
 endif
 
-# workaround build failure with gcc-14
-export DEB_CFLAGS_MAINT_APPEND = -Wno-incompatible-pointer-types -Wno-int-conversion 
-
 %:
 	dh $@

=== debian/watch ===
version=4
opts="mode=svn,dversionmangle=auto,repacksuffix=+ds1,filenamemangle=s/0\.0~/1.5\+$1/" \
  svn://svn.mplayerhq.hu/mplayer/trunk HEAD

## mplayer 1.5+svn38681

=== debian/changelog ===
mplayer (2:1.5+svn38681-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Remove mplayer-gui to avoid a dependency on gtk2 (Closes: #967643)
     - bugs that are specific to the gui variant are no longer relevant
     (LP: #1514698, #460537, #649240, #652421, #1218510)
     (LP: #1244625, #1340454, #1575818, #1693410, #1774829)

  [ Lorenzo Puliti ]
  * New upstream version 1.5+svn38681
  * d/patches:
    - drop 0206 patch
    - refresh patches 0203 and 0205
    - add description to 0205 patch
  * d/rules: don't build twice
  * mplayer:
     - install icons, renamed as mplayer-nogui
     - add a desktop file, renamed as mplayer-nogui (LP: #857243)
  * edit old changelog entries, fix bug metadata (Ubuntu)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 27 Dec 2025 19:43:14 +0100

mplayer (2:1.5+svn38674-5) unstable; urgency=medium

  * upload to unstable
  * drop rules-requires-root
  * NEWS for mplayer and mplayer-gui users:
     - vdpau vo is disabled; mplayer-gui package removal.

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 16 Dec 2025 10:54:02 +0100

mplayer (2:1.5+svn38674-4) experimental; urgency=medium

  * quilt patches:
     - add upstream patch for ffmpeg 8.0; there are still
       outstanding issues with vdpau.
     - incorporate upstream commits (svn38675-76-77) that may be
       relevant for ffmpeg
  * temporary disable vdpau to avoid FTBFS (Closes: #1115054)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 21 Sep 2025 17:53:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Reinhard Tartler <siretart@tauware.de>,
  Lorenzo Puliti <plorenzo@disroot.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/mplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mplayer
 Homepage: https://mplayerhq.hu
@@ -43,7 +42,6 @@
  libgl-dev,
  libglvnd-dev,
  libgsm1-dev,
- libgtk2.0-dev,
  libjack-dev,
  libjpeg-dev,
  liblirc-dev,
@@ -54,7 +52,6 @@
  libmpeg2-4-dev,
  libmpg123-dev,
  libopenal-dev,
- libpostproc-dev,
  libpulse-dev,
  librtmp-dev,
  libsdl1.2-dev,
@@ -84,32 +81,6 @@
  docbook-xml,
  docbook-xsl,
  xsltproc
-Rules-Requires-Root: no
-
-Package: mplayer-gui
-Architecture: any
-Multi-Arch: foreign
-Suggests:
- bzip2,
- fontconfig,
- fonts-freefont-ttf,
- mplayer-doc
-Depends:
- mplayer,
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends: mplayer-skin
-Description: movie player for Unix-like systems (GUI variant)
- MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
- ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
- supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
- also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
- .
- Another big feature of MPlayer is the wide range of supported output
- drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
- but also SDL.
- .
- This package includes the GUI variant of MPlayer.
 
 Package: mencoder
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	--confdir=/etc/mplayer \
 	--enable-debug \
 	--enable-menu \
+	--disable-vdpau \
 	--disable-arts \
 	--language=all \
 	--disable-libmpeg2-internal \
@@ -93,9 +94,6 @@
 	dh $@
 
 override_dh_auto_build-arch:
-	dh_auto_build -- mplayer
-	mv mplayer gmplayer
-	$(MAKE) install-gui-msg DESTDIR=$(CURDIR)/gui-msg
 ifeq "$(DEB_HOST_ARCH)" "powerpc"
 	$(MAKE) distclean
 	./configure $(CONFIGURE_FLAGS) --disable-gui --disable-altivec
@@ -112,12 +110,12 @@
 	[ -f DOCS/HTML/en/index.html ] || dh_auto_build -- html-chunked
 
 override_dh_auto_clean:
-	rm -rf gui-msg
 	rm -rf mplayer-noaltivec
+	rm -rf gui-icons
 	[ -f config.mak ] && $(MAKE) distclean || true
 
 override_dh_auto_configure-arch:
-	./configure $(CONFIGURE_FLAGS) --enable-gui --enable-nls
+	./configure $(CONFIGURE_FLAGS) --disable-gui --enable-nls
 	printf '%s\n%s\n' "$(OUR_VERSION)" "$(OUR_TITLE)" >> version.h
 
 override_dh_auto_configure-indep:
@@ -128,11 +126,9 @@
 	$(MAKE) install-mencoder DESTDIR=$(CURDIR)/debian/mencoder
 	$(MAKE) install-mplayer-man DESTDIR=$(CURDIR)/debian/mplayer
 	$(MAKE) install-mencoder-man DESTDIR=$(CURDIR)/debian/mencoder
-	$(MAKE) install-gui-man DESTDIR=$(CURDIR)/debian/mplayer-gui
-	$(MAKE) install-gui-icons DESTDIR=$(CURDIR)/debian/mplayer-gui
+	$(MAKE) install-gui-icons DESTDIR=$(CURDIR)/gui-icons
 	find debian/mencoder -type d -empty -delete
 	find debian/mplayer -type d -empty -delete
-	find debian/mplayer-gui -type d -empty -delete
 
 override_dh_auto_install-indep:
 override_dh_auto_test-indep:
@@ -140,7 +136,6 @@
 override_dh_compress-arch:
 	dh_compress
 	find debian/mencoder/usr/share/man/ -type f -name mplayer.1.gz -delete
-	find debian/mplayer-gui/usr/share/man/ -type f -name mplayer.1.gz -delete
 
 override_dh_install-arch:
 	dh_install
